# Uses of Interface
org.opensaml.soap.soap11.FaultActor

Packages that use FaultActor
Package
Description
org.opensaml.soap.soap11
XMLObject interfaces for SOAP 1.1 elements.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.

## Uses of FaultActor in org.opensaml.soap.soap11

Methods in org.opensaml.soap.soap11 that return FaultActor
Modifier and Type
Method
Description
`FaultActor`
Fault.`getActor()`
Gets the URI of the fault actor for this fault.
Methods in org.opensaml.soap.soap11 with parameters of type FaultActor
Modifier and Type
Method
Description
`void`
Fault.`setActor(FaultActor newActor)`
Sets the URI of the fault actor for this fault.

## Uses of FaultActor in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement FaultActor
Modifier and Type
Class
Description
`class`
`FaultActorImpl`
Concrete implementation of `FaultActor`.
Fields in org.opensaml.soap.soap11.impl declared as FaultActor
Modifier and Type
Field
Description
`private FaultActor`
FaultImpl.`actor`
Actor that faulted.
Methods in org.opensaml.soap.soap11.impl that return FaultActor
Modifier and Type
Method
Description
`FaultActor`
FaultActorBuilder.`buildObject()`
Builds a SOAPObject using the default name and namespace information provided SOAP specifications.
`FaultActor`
FaultActorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`FaultActor`
FaultImpl.`getActor()`
Gets the URI of the fault actor for this fault.
Methods in org.opensaml.soap.soap11.impl with parameters of type FaultActor
Modifier and Type
Method
Description
`void`
FaultImpl.`setActor(FaultActor newActor)`
Sets the URI of the fault actor for this fault.